सदस्यता मान्य करें
curl --request GET \
--url https://api.x.com/2/account_activity/webhooks/{webhook_id}/subscriptions/all \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.x.com/2/account_activity/webhooks/{webhook_id}/subscriptions/all"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.x.com/2/account_activity/webhooks/{webhook_id}/subscriptions/all', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"subscribed": true
},
"errors": [
{
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"status": 123
}
]
}{
"code": 123,
"message": "<string>"
}अकाउंट गतिविधि
सदस्यता मान्य करें
दिए गए webhook के लिए उपयोगकर्ता की Account Activity सदस्यता की जाँच करता है।
GET
/
2
/
account_activity
/
webhooks
/
{webhook_id}
/
subscriptions
/
all
सदस्यता मान्य करें
प्राधिकरण
OAuth2UserTokenUserToken
The access token received from the authorization server in the OAuth 2.0 flow.
पथ पैरामीटर
वह webhook ID जिसके लिए सदस्यता की जाँच करनी है। इस webhook कॉन्फ़िगरेशन का अद्वितीय पहचानकर्ता।
Pattern:
^[0-9]{1,19}$उदाहरण:
"1146654567674912769"
प्रतिक्रिया
अनुरोध सफल हुआ है।
Show child attributes
Show child attributes
Minimum array length:
1IETF RFC 7807 (https://tools.ietf.org/html/rfc7807) में परिभाषित एक HTTP Problem Details ऑब्जेक्ट।
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
- Option 12
- Option 13
- Option 14
- Option 15
- Option 16
- Option 17
- Option 18
Show child attributes
Show child attributes
⌘I